img-sun(3tk)

NAME
img-sun - Sun raster format (sun)

SYNOPSIS
package require img::sun ?2.1?

DESCRIPTION
package require img::sun

Like all packages of Img it does not provide new commands, but extends the existing Tk command image, so that it supports files containing raster images in the Sun raster format (sun). More specifically img::sun extends Tk's photo [https://www.tcl.tk/man/tcl9.0/TkCmd/photo.html] image type.

The name of the new format handler is sun. This handler provides new additional configuration options. See section Options for more detailed explanations.

All of the above means that in a call like image create photo ?name? ?options?

[1] Image data in sun format (options -data and -file) is detected automatically.

[2] The format name sun is recognized by the option -format.

In addition the value of option -format is treated as a list and may contain any of the special options listed in section Options.

The package img::sun is a sub-package of Img. It can be loaded as a part of the complete Img support, via package require Img, or on its own, via package require img::sun.

SUPPORTED TYPES
This format handler supports the following image types:

•   1-bit pixels: Black and White.

•   8-bit pixels: Grayscale or indexed.

•   24-bit pixels: Truecolor (RGB, 8-bit channels).

•   32-bit pixels: Truecolor with alpha channel (RGBA, 8-bit channels).

All images types may be either uncompressed or run-length encoded.

     Type   |     Read      |     Write     |
            | -file | -data | -file | -data |
     ----------------------------------------
      1-bit | Yes   | Yes   | No    | No    |
      8-bit | Yes   | Yes   | No    | No    |
     24-bit | Yes   | Yes   | Yes   | Yes   |
     32-bit | Yes   | Yes   | Yes   | Yes   |

OPTIONS
The handler provides the following options:

-verbose bool
    This option is supported for reading and writing. Available since version 1.3.

    If set to true, additional information about the read or written image is printed to stdout. Default is false.

-withalpha bool
    This option is supported for reading and writing. Available since version 1.3.

    If set to false, an alpha channel is ignored during reading or writing. Default is true.

    Note: This option was named -matte in previous versions and is still recognized.

-compression string
    This option is supported for writing only. Available since version 1.3.

    Set the compression mode to either none or rle. Default is rle.

SEE ALSO
img, img-bmp, img-dted, img-flir, img-gif, img-ico, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

COPYRIGHT
Copyright (c) 1995-2025 Jan Nijtmans <nijtmans@users.sourceforge.net>
Copyright (c) 2002-2025 Andreas Kupries <andreas_kupries@users.sourceforge.net>
Copyright (c) 2003-2025 Paul Obermeier <obermeier@users.sourceforge.net>